<?php
include 'is_logged.php'; //Archivo verifica que el usario que intenta acceder a la URL esta logueado
/*Inicia validacion del lado del servidor*/
if (empty($_POST['id_cliente'])) {
    $errors[] = "referencia vacío";
} else if (!empty($_POST['id_cliente'])) {
    /* Connect To Database*/
    require_once "../db.php";
    require_once "../php_conexion.php";
    // escaping, additionally removing everything that could be (html/javascript-) code
    $id_cliente = intval($_POST['id_cliente']);
    $tel        = mysqli_real_escape_string($conexion, (strip_tags($_POST["tel"], ENT_QUOTES)));
    $fecha      = mysqli_real_escape_string($conexion, (strip_tags($_POST["fecha"], ENT_QUOTES)));
    $horai      = mysqli_real_escape_string($conexion, (strip_tags($_POST["horai"], ENT_QUOTES)));
    $horaf      = mysqli_real_escape_string($conexion, (strip_tags($_POST["horaf"], ENT_QUOTES)));
    $cantidad   = intval($_POST['cantidad']);
    $id_salon   = intval($_POST['id_salon']);
    $estado     = intval($_POST['estado']);
    $obs        = mysqli_real_escape_string($conexion, (strip_tags($_POST["obs"], ENT_QUOTES)));
    $users      = intval($_SESSION['id_users']);
    // check if user or email address already exists
    $sql         = "SELECT * FROM reservas WHERE fecha_res ='$fecha' AND hora_inicio_res ='$horai'  AND id_salon_res ='$id_salon'";
    $query       = mysqli_query($conexion, $sql);
    $query_check = mysqli_num_rows($query);
    if ($query_check == true) {
        $errors[] = "Fecha y Hora de la Reserva ya esta en uso en el Salon Seleccionado.";
    } else {
        // write new user's data into database

        $sql = "INSERT INTO reservas (id_salon_res, id_cliente_res, telefono_res, cantidad_res, fecha_res, hora_inicio_res, hora_fin_res, obs_res, users_res, estado_res)
    VALUES ('$id_salon','$id_cliente','$tel','$cantidad','$fecha','$horai','$horaf','$obs','$users','$estado')";
        $query_new_insert = mysqli_query($conexion, $sql);

        if ($query_new_insert) {
            $messages[] = "Reserva ha sido ingresada con Exito.";
        } else {
            $errors[] = "Lo siento algo ha salido mal intenta nuevamente." . mysqli_error($conexion);
        }
    }
} else {
    $errors[] = "Error desconocido.";
}

if (isset($errors)) {

    ?>
            <div class="alert alert-danger" role="alert">
             <strong>Error!</strong>
             <?php
foreach ($errors as $error) {
        echo $error;
    }
    ?>
        </div>
        <?php
}
if (isset($messages)) {

    ?>
        <div class="alert alert-success" role="alert">
            <strong>¡Bien hecho!</strong>
            <?php
foreach ($messages as $message) {
        echo $message;
    }
    ?>
        </div>
        <?php
}

?>